Bug 660673 - koan requires rhpl to autodetect system
koan requires rhpl to autodetect system
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
540
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jiri Kastner
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-12-07 10:08 EST by John Ruemker
Modified: 2011-03-07 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version: cobbler-2.0.7-6.el5sat cobbler-2.0.7-6.el6sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 04:25:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Ruemker 2010-12-07 10:08:16 EST
Description of problem: koan in RHEL 6 does not start without the --system option:

# koan -r -s jrummy5-sat.usersys.redhat.com
- looking for Cobbler at http://jrummy5-sat.usersys.redhat.com/cobbler_api
<type 'exceptions.NameError'>
global name 'CX' is not defined
  File "/usr/lib/python2.6/site-packages/koan/app.py", line 216, in main
    k.run()
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 318, in run
    self.system = self.autodetect_system(allow_interactive=self.live_cd)
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 388, in autodetect_system
    raise CX("the rhpl module is required to autodetect a system.  Your OS does not have this, please manually specify --profile or --system")


rhpl is no longer included in RHEL 6 it seems.  There is also an upstream bug against this:

  https://bugzilla.redhat.com/show_bug.cgi?id=588512


Version-Release number of selected component (if applicable): koan-2.0.7-2.el6sat.noarch


How reproducible: Always


Steps to Reproduce:
1. Install koan on RHEL 6
2. koan -r -s <server>
  
Actual results: Above traceback throw

Expected results: Koan autodetects system and starts properly
Comment 2 Milan Zazrivec 2011-01-07 07:23:51 EST
Fixed in thirdparty.git SATELLITE-5.4: f038ba7f79223549888453bd2de31c4e850f0419
Comment 4 Jiri Kastner 2011-01-24 06:05:31 EST
RHEL6:
[root@ibm-z10-15 rhn]# rhnreg_ks --serverUrl=https://test11-64.rhndev.redhat.com/XMLRPC --sslCACert=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT.test11-64 --username=admin --password=dog8NOcode
[root@ibm-z10-15 rhn]# koan -r -s test11-64.rhndev.redhat.com
- looking for Cobbler at http://test11-64.rhndev.redhat.com/cobbler_api
<type 'exceptions.NameError'>
global name 'CX' is not defined
  File "/usr/lib/python2.6/site-packages/koan/app.py", line 216, in main
    k.run()
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 312, in run
    self.system = self.autodetect_system(allow_interactive=self.live_cd)
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 382, in autodetect_system
    raise CX("the rhpl module is required to autodetect a system.  Your OS does not have this, please manually specify --profile or --system")

[root@ibm-z10-15 rhn]# rpm -q koan
koan-2.0.6-6.el6.noarch

[root@ibm-z10-15 rhn]# koan -r -s test11-64.rhndev.redhat.com
- looking for Cobbler at http://test11-64.rhndev.redhat.com/cobbler_api
Error: Could not find a matching system with MACs: 02:DE:AD:BE:EF:0F or IPs: 10.16.66.206

RHEL5:
[root@rlx-0-12 ~]# rpm -q koan
koan-2.0.7-2.el5sat
[root@rlx-0-12 ~]# koan -r -s test11-64.rhndev.redhat.com
- looking for Cobbler at http://test11-64.rhndev.redhat.com/cobbler_api
exceptions.NameError
global name 'CX' is not defined
  File "/usr/lib/python2.4/site-packages/koan/app.py", line 216, in main
    k.run()
   File "/usr/lib/python2.4/site-packages/koan/app.py", line 318, in run
    self.system = self.autodetect_system(allow_interactive=self.live_cd)
   File "/usr/lib/python2.4/site-packages/koan/app.py", line 388, in autodetect_system
    raise CX("the rhpl module is required to autodetect a system.  Your OS does not have this, please manually specify --profile or --system")

[root@rlx-0-12 ~]# koan -r -s test11-64.rhndev.redhat.com
- looking for Cobbler at http://test11-64.rhndev.redhat.com/cobbler_api
Error: Could not find a matching system with MACs: 00:42:52:00:ED:43,00:42:52:00:ED:45,00:42:52:00:ED:44 or IPs: 10.10.76.158

[root@rlx-0-12 ~]# rpm -q koan
koan-2.0.7-6.el5sat
Comment 5 errata-xmlrpc 2011-03-07 04:25:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0323.html

Note You need to log in before you can comment on or make changes to this bug.